#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;

    vector<int> a(n);
    vector<int> b(n);

    for (int i = 1; i <= n; i++) {
        a[2 * i - 2] = 2 * i - 1;
        a[2 * i - 1] = 2 * (n - i + 1) - 1;
        b[2 * i - 2] = 2 * i;
        b[2 * i - 1] = 2 * (n - i + 1);
    }


    for (int i = 0; i < n; i++) cout << a[i] << " ";
    cout << "\n";
    for (int i = 0; i < n; i++) cout << b[i] << " ";

    return 0;
}